#include <jni.h>
#include "../include/valueobject.h"
#include <cstring>
/* Header for class com_ergotech_vib_servers_nativewrapper_NativeTopicListener */

#ifndef _Included_com_ergotech_vib_servers_nativewrapper_NativeTopicListener
#define _Included_com_ergotech_vib_servers_nativewrapper_NativeTopicListener
#ifdef __cplusplus
extern "C" {
#endif

typedef void (*callback_pointer)(std::string, transsecswrapper::ValueObject);
/*
 * Class:     com_ergotech_vib_servers_nativewrapper_NativeTopicListener
 * Method:    topicValueChanged
 * Signature: (Ljava/lang/String;Lcom/ergotech/vib/valueobjects/ValueObjectInterface;)V
 */
JNIEXPORT void JNICALL Java_com_ergotech_vib_servers_nativewrapper_NativeTopicListener_topicValueChanged
  (JNIEnv *, jobject, jstring, jobject);

  
void AddTopicListenerInternal (long long, callback_pointer);

#ifdef __cplusplus
}
#endif
#endif
